> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar

> Lista todas las listas de precios.



## OpenAPI

````yaml /api/openapi.json get /price-lists
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /price-lists:
    get:
      tags:
        - Lista de Precios
      summary: Listar
      description: Lista todas las listas de precios.
      operationId: get-price-lists
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/page'
        - schema:
            type: string
            minLength: 2
          in: query
          name: name
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceListCollectionResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
components:
  parameters:
    limit:
      name: limit
      in: query
      required: false
      schema:
        type: number
    page:
      name: page
      in: query
      required: false
      schema:
        type: integer
  schemas:
    PriceListCollectionResponse:
      title: PriceListCollectionResponse
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PriceList'
        pagination:
          $ref: '#/components/schemas/Pagination'
    BadRequest:
      title: BadRequest
      type: object
      x-examples: {}
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              code:
                type:
                  - integer
                  - string
                deprecated: true
                description: Código referencial del error. No usar.
      description: ''
    PriceList:
      description: ''
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        erpCode:
          type: string
        minimumOrder:
          type: number
          description: >-
            El valor mínimo que debe alcanzarse en el carrito para poder
            realizar el pedido.
        isDefault:
          type: boolean
          description: Indica si la lista de precios es la predeterminada en la plataforma.
      required:
        - id
        - name
        - erpCode
        - minimumOrder
        - isDefault
    Pagination:
      type: object
      properties:
        page:
          type: integer
          description: Número de la página actual.
        pages:
          type: integer
          description: Número total de páginas.
        total:
          type: integer
          description: Cantidad total de elementos.
        hasPrevPage:
          type: boolean
          description: Indica si existe una página previa.
        hasNextPage:
          type: boolean
          description: Indica si existe una página siguiente.
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````